import { JscTarget } from '@swc/core';
import { OutputOptions } from 'rollup';

type BundleConfig = {
    file?: string;
    cwd?: string;
    watch?: boolean;
    target?: JscTarget;
    format?: OutputOptions['format'];
    minify?: boolean;
    sourcemap?: boolean;
    external?: string[];
    noExternal?: boolean;
    env?: string[];
    dts?: boolean;
    runtime?: string;
};

declare function bundle(entryPath: string, { cwd: _cwd, ...options }?: BundleConfig): Promise<any>;

export { type BundleConfig, bundle };
